关闭

安卓蓝牙开发

标签: 安卓蓝牙
89人阅读 评论(0) 收藏 举报
分类:

在做蓝牙相关的安卓项目时,遇到了一个问题,发现手机系统是安卓6.0以上的,安装蓝牙软件,运行时不能搜索到蓝牙设备,更提不上是连接蓝牙,进行数据交流了,后来在网上找到了解决方法,其实原因很简单,就是在安卓6.0系统之上(包括安卓6.0)使用有蓝牙的项目时,不仅要开启蓝牙相关权限,还要再加上<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />这样的权限,才能使用蓝牙,因为安卓6.0以上的系统对安全性进行了加固,所以开发时要多注意一些相关细节问题

详细的可以看下这个链接

http://blog.csdn.net/outdoorsmanm/article/details/50014821

1
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:947次
    • 积分:70
    • 等级:
    • 排名:千里之外
    • 原创:6篇
    • 转载:2篇
    • 译文:0篇
    • 评论:0条